/*
 * xsp2.h for libxsp2.a
 *   version 1.00  1998/11/06
 *
 *   original: t@~x̂
 *   build library: Tachibana Eriko
 *
 * version:
 *   XSP version 2.00
 *   PCG90 version 1.02
 *   PCM8Afnc version 1.01
 */

#ifndef __xsp2_h__
#define __xsp2_h__

#ifndef __cdecl_h__
#include <cdecl.h>
#endif


/* XvCg̃t[f[^\ */

typedef struct {
	short vx;		/* ΍Wf[^ */
	short vy;		/* ΍Wf[^ */
	short pt;		/* XvCgp^[mD*/
	short rv;		/* ]R[h */
} XOBJ_FRM_DAT;


/* XvCg̃t@Xf[^\ */

typedef struct {
	short num;		/* XvCg */
	void* ptr;		/* Jnʒuւ̃|C^[ */
	short unused;		/*igpj*/
} XOBJ_REF_DAT;


/* X^[荞ݏ̃^C`[g */

typedef struct {
	short ras_no;		/* 荞݃X^[io[ */
	void (*proc) (void);	/* 荞ݏ֐ւ̃|C^[ */
} XSP_TIME_CHART ;


/* XSP2 Functions */

_EXTERN (short xsp_out (void));
_EXTERN (short xsp_set (short, short, short, short));
_EXTERN (short xsp_set_st (void *));
_EXTERN (short xsp_vsync (short));

_EXTERN (void xobj_set (short, short, short, short));
_EXTERN (void xobj_set_st (void *));
_EXTERN (void xsp_hsyncint_off (void));
_EXTERN (void xsp_hsyncint_on (void *));
_EXTERN (void xsp_mode (short));
_EXTERN (void xsp_objdat_set (void *));
_EXTERN (void xsp_off (void));
_EXTERN (void xsp_on (void));
_EXTERN (void xsp_pcgdat_set (void *, char *, short));
_EXTERN (void xsp_pcgmask_off (short, short));
_EXTERN (void xsp_pcgmask_on (short, short));
_EXTERN (void xsp_vertical (short));
_EXTERN (void xsp_vsyncint_off (void));
_EXTERN (void xsp_vsyncint_on (void *));


/* PCG90 Functions */

_EXTERN (void bgpcg_roll90 (void *, int_));
_EXTERN (void pcg_roll90 (void *, int_));


/* PCM8Afnc Functions */

_EXTERN (void pcm8a_vsyncint_off (void));
_EXTERN (void pcm8a_vsyncint_on (void));

#endif
